﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MotionSampleDisplay : MonoBehaviour {
    [SerializeField]
    GameObject left, right;
    
    public Sprite sprite;
    public float timeout;
    public MotionNote caller;

    private float elapsedTime;
    private float parameter;

    // Use this for initialization
    void Start()
    {
        elapsedTime = 0f;
        parameter = 0f;

        left.GetComponent<SpriteRenderer>().sprite = sprite;
        right.GetComponent<SpriteRenderer>().sprite = sprite;
    }
	
    // Update is called once per frame
	void Update()
    {
        elapsedTime += Time.deltaTime * 1000;
        if (elapsedTime > timeout / 2f)
            parameter = (elapsedTime - timeout / 2f) / timeout;
        if (elapsedTime > timeout)
        {
            Destroy(gameObject);
        }

        left.transform.Translate(new Vector3(parameter, 0));
        right.transform.Translate(new Vector3(-parameter, 0));
    }
}
